Page MenuHomePhabricator

Request access to data for WDQS research
Closed, ResolvedPublic

Description

Who
Markus Krötzsch
Alexander Krause

Access Group
analytics-privatedata-users

Why
https://meta.wikimedia.org/wiki/Research:Understanding_Wikidata_Queries

Steps

Details

Related Gerrit Patches:
operations/puppet : productionUpdate SSH key for Alexander Krause

Event Timeline

leila raised the priority of this task from Normal to High.Aug 11 2016, 10:50 PM
leila created this task.

@mkroetzsch and @AlexKrauseTUD, can you take the two steps mentioned in the Description of this task? If you run into issues, please ping.

leila added a comment.EditedAug 11 2016, 10:53 PM

@Nuria I /think/ we need your approval for the access to happen. If that's the case, can you tell me what's the most efficient way for me to explain the project and history to you? :)

leila moved this task from Staged to In Progress on the Research board.Aug 11 2016, 10:57 PM
Restricted Application added a project: Operations. · View Herald TranscriptAug 11 2016, 11:15 PM
akosiaris lowered the priority of this task from High to Normal.Aug 12 2016, 10:36 AM

I have signed the Acknowledgement of Wikimedia Server Access Responsibilities.

My labs user name is "mkroetzsch". Is this what is required for the third item or should I also follow the rest of the request procedure at https://wikitech.wikimedia.org/wiki/Production_shell_access#Requesting_access ?

P.S. Alex is on vacation and possibly disconnected. His reply might therefore be delayed. He is officially back in two weeks.

leila added a comment.Aug 12 2016, 9:00 PM

@mkroetzsch your labs username should be enough. Please don't take any further step unless we ask you, too. Thanks for taking care of the rest. :)

RobH moved this task from user confirm to Untriaged on the SRE-Access-Requests board.
RobH added a subscriber: RobH.EditedAug 17 2016, 8:04 PM

Ok, this request actually needs a few more things for processing, in addition to whats been asked:

  • - both users must sign the L3 doc
  • - both users must append their public ssh keys
  • - both users need to provide their preferred login names, as well as their wikitech usernames (as we base UID in production off labs, which is generated from wikitech)
  • - groups will also need to include bastiononly group (or they cannot get onto the network to access the statistics host(s)).

Regarding my remaining todos:

  • I have signed the L3 doc
  • Here is my dedicated production-only SSH key:
  • My preferred login name is "mkroetzsch", same as my user name on labs. My wikitech user name is "Markus Kroetzsch".
  • have signed the L3 doc
  • I have acreated a useraccount through https://www.mediawiki.org/wiki/Developer_access named AlexKrauseTUD
  • My public SSH Key:
  • My desired username: "akrause" and my Wikitech user name is "AlexKrauseTUD" if I am not mistaken
leila updated the task description. (Show Details)Aug 29 2016, 6:00 PM
leila added a subscriber: Cmjohnson.

Thanks @AlexKrauseTUD.

@Cmjohnson can you help with this request as well?

Sorry to bother, somehow my corresponding private key file got corrupted and is unreadable, here is my new dedicated public key:


My apologies for this inconvenience...

@AlexKrauseTUD Do you have a wikitech account? If not can you please create one. Thanks

@Cmjohnson As said on Monday, 29th of August: AlexKrauseTUD
or is it another account which you need? I can login with that accountname on https://wikitech.wikimedia.org

Patchset has been merged for both users. You should have access at this time. It may take up to 30 minutes for the change to sync to all affected hosts.

You user names are:
mkroetzsch
akrausetud

If anyone has any issues with their access, feel free to reopen this task.

Thanks!

Cmjohnson closed this task as Resolved.Sep 1 2016, 8:42 PM

I know how this sounds, but I must kindly ask you to update my public key one last time... :( Thanks, it definitly won't happen again...

AlexKrauseTUD reopened this task as Open.Sep 6 2016, 1:39 PM

Change 308947 had a related patch set uploaded (by Muehlenhoff):
Update SSH key for Alexander Krause

https://gerrit.wikimedia.org/r/308947

Change 308947 merged by Muehlenhoff:
Update SSH key for Alexander Krause

https://gerrit.wikimedia.org/r/308947

MoritzMuehlenhoff closed this task as Resolved.Sep 7 2016, 10:12 AM

@AlexKrauseTUD : I've updated your key, you should be able to login now.

Thanks, now I can login :)
As an information, if you are not already aware of this (I did not find any information within the ssh configuration notes):
One can not use Putty Private key (.ppk) files for login. It seems to be only possible with OpenSSH private key files.